Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface CoreDriver

All Superinterfaces:
  EnsemblDriver

All Known Subinterfaces:
  Driver

public interface CoreDriver
extends EnsemblDriver

Provides adaptors for accessing to ensembl core databases.

Drivers are created and, where needed, should be initialised() before any of the getXXXX() methods are called.

See Also:
  `CoreDriverFactory`

Method Summary
`AnalysisAdaptor` | `getAnalysisAdaptor()`
`AssemblyExceptionAdaptor` | `getAssemblyExceptionAdaptor()`
`AssemblyMapperAdaptor` | `getAssemblyMapperAdaptor()`
`CoordinateSystemAdaptor` | `getCoordinateSystemAdaptor()`
`DnaDnaAlignmentAdaptor` | `getDnaDnaAlignmentAdaptor()`
`DnaProteinAlignmentAdaptor` | `getDnaProteinAlignmentAdaptor()`
`ExonAdaptor` | `getExonAdaptor()`
`ExternalDatabaseAdaptor` | `getExternalDatabaseAdaptor()`
`ExternalRefAdaptor` | `getExternalRefAdaptor()`
`GeneAdaptor` | `getGeneAdaptor()`
`KaryotypeBandAdaptor` | `getKaryotypeBandAdaptor()`
`LocationConverter` | `getLocationConverter()`
`MarkerAdaptor` | `getMarkerAdaptor()`
`MarkerFeatureAdaptor` | `getMarkerFeatureAdaptor()`
`MiscFeatureAdaptor` | `getMiscFeatureAdaptor()`
`MiscSetAdaptor` | `getMiscSetAdaptor()`
`OligoArrayAdaptor` | `getOligoArrayAdaptor()`
`OligoFeatureAdaptor` | `getOligoFeatureAdaptor()`
`OligoProbeAdaptor` | `getOligoProbeAdaptor()`
`PredictionExonAdaptor` | `getPredictionExonAdaptor()`
`PredictionTranscriptAdaptor` | `getPredictionTranscriptAdaptor()`
`ProteinFeatureAdaptor` | `getProteinFeatureAdaptor()`
`QtlAdaptor` | `getQtlAdaptor()`
`QtlFeatureAdaptor` | `getQtlFeatureAdaptor()`
`RepeatConsensusAdaptor` | `getRepeatConsensusAdaptor()`
`RepeatFeatureAdaptor` | `getRepeatFeatureAdaptor()`
`SequenceAdaptor` | `getSequenceAdaptor()`
`SequenceRegionAdaptor` | `getSequenceRegionAdaptor()`
`SimpleFeatureAdaptor` | `getSimpleFeatureAdaptor()`
`StableIDEventAdaptor` | `getStableIDEventAdaptor()`
`SupportingFeatureAdaptor` | `getSupportingFeatureAdaptor()`
`TranscriptAdaptor` | `getTranscriptAdaptor()`
`TranslationAdaptor` | `getTranslationAdaptor()`
`VariationDriver` | `getVariationDriver()` Get the sister variation driver.
`void` | `setVariationDriver(VariationDriver vdriver)` Sets the variation driver on the driver.

Methods inherited from interface org.ensembl.driver.EnsemblDriver
`addAdaptor, backupAndClearTable, backupAndClearTables, backupAndClearTables, backupTable, backupTables, backupTables, clearAllCaches, clearTable, clearTables, clearTables, closeAllConnections, deleteDatabase, fetchDatabaseName, fetchDatabaseNames, fetchDatabaseSchemaVersion, fetchMetaValues, fetchTableNames, fetchTableNames, getAdaptor, getAdaptors, getConfiguration, getConnection, getDatasource, getServerFactory, initialise, isConnected, removeAdaptor, removeAdaptor, removeAllAdaptors, restoreTable, restoreTables, restoreTables, setServerDriverFactory, testConnection`

Method Detail

### getTranslationAdaptor

    public TranslationAdaptor getTranslationAdaptor()
                                             throws AdaptorException

  Returns:
    default translation adaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getAssemblyMapperAdaptor

    public AssemblyMapperAdaptor getAssemblyMapperAdaptor()
                                                   throws AdaptorException

  Throws:
    `AdaptorException`

### getExternalRefAdaptor

    public ExternalRefAdaptor getExternalRefAdaptor()
                                             throws AdaptorException

  Returns:
    default ExternalRefAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getProteinFeatureAdaptor

    public ProteinFeatureAdaptor getProteinFeatureAdaptor()
                                                   throws AdaptorException

  Returns:
    default ProteinFeatureAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getSequenceAdaptor

    public SequenceAdaptor getSequenceAdaptor()
                                       throws AdaptorException

  Returns:
    default Sequence adaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getLocationConverter

    public LocationConverter getLocationConverter()
                                           throws AdaptorException

  Returns:
    default LocationConverter if available otherwise null.
  Throws:
    `AdaptorException`

### getTranscriptAdaptor

    public TranscriptAdaptor getTranscriptAdaptor()
                                           throws AdaptorException

  Returns:
    default adaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getRepeatConsensusAdaptor

    public RepeatConsensusAdaptor getRepeatConsensusAdaptor()
                                                     throws AdaptorException

  Returns:
    default RepeatConsensus adaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getExternalDatabaseAdaptor

    public ExternalDatabaseAdaptor getExternalDatabaseAdaptor()
                                                       throws AdaptorException

  Returns:
    default ExternalDatabaseAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getExonAdaptor

    public ExonAdaptor getExonAdaptor()
                               throws AdaptorException

  Returns:
    default ExonAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getGeneAdaptor

    public GeneAdaptor getGeneAdaptor()
                               throws AdaptorException

  Returns:
    default GeneAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getSupportingFeatureAdaptor

    public SupportingFeatureAdaptor getSupportingFeatureAdaptor()
                                                         throws AdaptorException

  Returns:
    default SupportingFeatureAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getMarkerAdaptor

    public MarkerAdaptor getMarkerAdaptor()
                                   throws AdaptorException

  Returns:
    default MarkerAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getAnalysisAdaptor

    public AnalysisAdaptor getAnalysisAdaptor()
                                       throws AdaptorException

  Returns:
    default AnalysisAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getRepeatFeatureAdaptor

    public RepeatFeatureAdaptor getRepeatFeatureAdaptor()
                                                 throws AdaptorException

  Returns:
    default RepeatFeatureAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getDnaProteinAlignmentAdaptor

    public DnaProteinAlignmentAdaptor getDnaProteinAlignmentAdaptor()
                                                             throws AdaptorException

  Returns:
    default DnaProteinAlignmentAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getDnaDnaAlignmentAdaptor

    public DnaDnaAlignmentAdaptor getDnaDnaAlignmentAdaptor()
                                                     throws AdaptorException

  Returns:
    default DnaDnaAlignmentAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getSimpleFeatureAdaptor

    public SimpleFeatureAdaptor getSimpleFeatureAdaptor()
                                                 throws AdaptorException

  Returns:
    default SimpleFeatureAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getPredictionTranscriptAdaptor

    public PredictionTranscriptAdaptor getPredictionTranscriptAdaptor()
                                                               throws AdaptorException

  Returns:
    default PredictionTranscriptAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getPredictionExonAdaptor

    public PredictionExonAdaptor getPredictionExonAdaptor()
                                                   throws AdaptorException

  Returns:
    default PredictionExonAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getStableIDEventAdaptor

    public StableIDEventAdaptor getStableIDEventAdaptor()
                                                 throws AdaptorException

  Returns:
    default StableIDEventAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getCoordinateSystemAdaptor

    public CoordinateSystemAdaptor getCoordinateSystemAdaptor()
                                                       throws AdaptorException

  Returns:
    default CoordinateSystemAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getSequenceRegionAdaptor

    public SequenceRegionAdaptor getSequenceRegionAdaptor()
                                                   throws AdaptorException

  Returns:
    default SequenceRegionAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getKaryotypeBandAdaptor

    public KaryotypeBandAdaptor getKaryotypeBandAdaptor()
                                                 throws AdaptorException

  Returns:
    default KaryotypeAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getMiscFeatureAdaptor

    public MiscFeatureAdaptor getMiscFeatureAdaptor()
                                             throws AdaptorException

  Returns:
    default MiscFeatureAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getMiscSetAdaptor

    public MiscSetAdaptor getMiscSetAdaptor()
                                     throws AdaptorException

  Returns:
    default MiscSetAdaptor if available otherwise null.
  Throws:
    `AdaptorException`

### getMarkerFeatureAdaptor

    public MarkerFeatureAdaptor getMarkerFeatureAdaptor()
                                                 throws AdaptorException

  Returns:
    default MarkerFeatureAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getQtlAdaptor

    public QtlAdaptor getQtlAdaptor()
                             throws AdaptorException

  Returns:
    default QtlAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getQtlFeatureAdaptor

    public QtlFeatureAdaptor getQtlFeatureAdaptor()
                                           throws AdaptorException

  Returns:
    default QtlFeatureAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getOligoProbeAdaptor

    public OligoProbeAdaptor getOligoProbeAdaptor()
                                           throws AdaptorException

  Returns:
    default OligoProbeAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getOligoFeatureAdaptor

    public OligoFeatureAdaptor getOligoFeatureAdaptor()
                                               throws AdaptorException

  Returns:
    default OligoFeatureAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getOligoArrayAdaptor

    public OligoArrayAdaptor getOligoArrayAdaptor()
                                           throws AdaptorException

  Returns:
    default OligoArrayAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### getAssemblyExceptionAdaptor

    public AssemblyExceptionAdaptor getAssemblyExceptionAdaptor()
                                                         throws AdaptorException

  Returns:
    default AssemblyExceptionAdaptor if available, otherwise null.
  Throws:
    `AdaptorException`

### setVariationDriver

    public void setVariationDriver(VariationDriver vdriver)
                            throws AdaptorException

  Sets the variation driver on the driver.

  Parameters:
    `vdriver` - sister variation driver.
  Throws:
    `AdaptorException`

### getVariationDriver

    public VariationDriver getVariationDriver()

  Get the sister variation driver.

  Returns:
    the sister variation driver if set, otherwise null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD